Bug 213738 - Possible RAID Problem
Possible RAID Problem
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
6
x86_64 Linux
medium Severity urgent
: ---
: ---
Assigned To: Peter Jones
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-02 14:25 EST by Dewayne Haun
Modified: 2008-08-02 19:40 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 12:40:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Anacanda Dump (57.34 KB, text/plain)
2006-11-02 14:25 EST, Dewayne Haun
no flags Details

  None (edit)
Description Dewayne Haun 2006-11-02 14:25:53 EST
Description of problem: Install crashes with an unhandled exception after 
selecting US English.


Version-Release number of selected component (if applicable):


How reproducible: 


Steps to Reproduce:
1.Pressed ENTER at first screen
2.Tested memory one time skiped the next time
3.Selected ENGLISH as the language
4.Selected US ENGLISH at the next screen
and the unhandled exception occurs.
  
Actual results: An unhandled exception occurs.


Expected results: Fedora Core 6 to install.


Additional info:
Comment 1 Dewayne Haun 2006-11-02 14:25:53 EST
Created attachment 140174 [details]
Anacanda Dump
Comment 2 Jeremy Katz 2006-11-06 10:28:35 EST
Does booting with 'linux nodmraid' help?
Comment 3 Dewayne Haun 2006-11-06 11:17:06 EST
I found the problem. I had created a RAID 5 set before the first install and 
got this error. I then disabled RAID in my motherboards BIOS and still got the 
error. To correct the problem I enabled RAID in my BIOS and deleted the RAID 5 
set and then disabled RAID in the BIOS and was able to install.
Comment 4 Jeremy Katz 2006-11-06 11:29:25 EST
Yeah, we need to handle this case better
Comment 5 Sean Bruno 2006-11-13 10:57:21 EST
I am seeing a very similar issue with my ASUS K8N-DL Mobo.  It has an Nvidia
CK804 and a Silicon Image Raid Controller on it.  It looks like the installer is
attempting to detect a RAID set even if there is no RAID set configured.  I was
unable to install FC6(x86_64) at all as it would fail after building the file
systems and attempting to mount them.

There is a message on one of the consoles(ctrl-alt-f1 I think) that shows
something detecting a SIL and NVIDIA RAID set on the disks and then it decides
to use Nvidia.  I think it's related, but not sure.

In the end, I can't install as the only hard disk device that my machine ever
detects under FC6 is /dev/mapper/mpath0 .  It never sees /dev/sda or /dev/sdb no
matter where I connect them.
Comment 6 Peter Fuchs 2007-03-12 08:29:08 EDT
We encountered the same issue with an HP X4000 workstation using an Symbios SCSI
Controller and two Seagate SCSI disks. We were not able to install FC6 an that
machine due to the described problems.
Comment 7 Ron Zanger 2007-04-09 21:26:32 EDT
I have the same Traceback as Dewayne's (Comment #1) with FC6 with an ASUS
P5ND2-SLI mb with 3 SATA Seagate drives in a RAID5 array.  The nVidia driver for
FC5 is rejected by anaconda when offered with 'linux dd'.  
Comment 8 Ron Zanger 2007-04-11 18:37:16 EDT
RE: Comment #2 From Jeremy Katz

"Does booting with 'linux nodmraid' help?"

It does help somewhat.  It allows the installer to proceed without attempting to
start the RAID array, and allows for installation on a disk which is not part of
the array, but does not allow installation on the array per se.  Be careful
here: it will also allow installation on a disk which is an element of an
established array, presenting each as a separate disk.  This naturally
compromises the array. 

Please inform me if a resolution to this problem becomes available.  Gracious
thanks.
Comment 9 Joel Andres Granados 2008-01-28 05:18:40 EST
is this still an issue in f9?
Comment 10 Sean Bruno 2008-01-28 10:26:43 EST
I did not see this issue in F8.
Comment 11 Bug Zapper 2008-04-04 00:22:21 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 12 Bug Zapper 2008-05-06 12:40:33 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.